"""remove url and rename form into formId

Revision ID: 09cfd21b8ca0
Revises: 83e93fdce3af
Create Date: 2021-12-20 09:26:22.991035+01:00

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "09cfd21b8ca0"
down_revision = "83e93fdce3af"
branch_labels = None
depends_on = None


def upgrade():
    """Upgrade"""
    # The next lines are manually added
    op.drop_column(
        table_name="request",
        column_name="url",
    )

    op.alter_column(
        table_name="request",
        column_name="form",
        new_column_name="formUuid",
        existing_type=sa.String(),
        nullable=False,
    )

    # ### commands auto generated by Alembic - please adjust! ###

    # ### end Alembic commands ###


def downgrade():
    """Downgrade"""
    # ### commands auto generated by Alembic - please adjust! ###

    # ### end Alembic commands ###

    pass
